> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscription Access

> Get details of the currently valid subscription for the user.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/billing/subscription-access
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/billing/subscription-access:
    get:
      tags:
        - Billing
      summary: Get Subscription Access
      description: Get details of the currently valid subscription for the user.
      operationId: get_subscription_access_api_billing_subscription_access_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/SubscriptionAccessResponse'
                  - type: 'null'
                title: >-
                  Response Get Subscription Access Api Billing Subscription
                  Access Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    SubscriptionAccessResponse:
      properties:
        start_at:
          type: string
          format: date-time
          title: Start At
        end_at:
          type: string
          format: date-time
          title: End At
        created_at:
          type: string
          format: date-time
          title: Created At
        cancelled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cancelled At
        stripe_subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Subscription Id
      type: object
      required:
        - start_at
        - end_at
        - created_at
      title: SubscriptionAccessResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````